/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */

#ifndef __GdomStorage_H___INT_
#define __GdomStorage_H___INT_
#include "glib-object.h"
#include "gdom/PrivateIntGdomDOMObject.h"
#include "GDOMObject.h"
#include "Storage.h"
namespace WebCore {
    gpointer toGDOM(Storage* node);
} /* namespace WebCore */ 
G_BEGIN_DECLS
class GDOMStorage : public GDOMObject {
    typedef GDOMObject Base;
public:
    int get_gobj_type() { return GDOM_TYPE_STORAGE; }
    GDOMStorage(PassRefPtr<WebCore::Storage> impl);
    virtual ~GDOMStorage();
    WebCore::Storage* impl() const { return m_impl.get(); }

private:
    RefPtr<WebCore::Storage> m_impl;
};
G_END_DECLS

#endif /* __GdomStorage_H___INT_*/
